<?php

include_once(dirname(__FILE__).'/../../../config/config.inc.php');
include_once(__DIR__."/FlowApiOP.class.php");

class PrestaFlowOP
{
    public static function getFlowApiOP()
    {
        $platform = Configuration::get('FLOW_OP_PLATFORM');
        $isTestPlatform = !$platform || $platform == 'test';
        $urlApi = $isTestPlatform ? "https://sandbox.flow.cl/api" : "https://www.flow.cl/api";

        $apiKey = Configuration::get('FLOW_OP_APIKEY');
        $secretKey = Configuration::get('FLOW_OP_PRIVATEKEY');
        
        return new FlowApiOP($apiKey, $secretKey, $urlApi);
    }
}